Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.tools.script
Class ShowUtils

    java.lang.Object
      oracle.ifs.core.tools.script.ShowUtils

    public class ShowUtils

extends java.lang.Object

A collection of static methods used to print textual representations of objects or collections of objects to a log.

The output of these methods show detailed textual information about objects, useful for diff-based testing pruposes.

(Published)

Field Summary
`static java.lang.String` | `INDENT` Amount to indent when displaying layered information (2 spaces: " ").

Constructor Summary
`ShowUtils()`

Method Summary
`static java.lang.String` | `getObjectNameAndClass(LibraryObject obj)` Return the name and class of the specified object
`static void` | `showAce(Logger logger, AccessControlEntry ace, java.lang.String prefix)` Show details about an ACE.
`static void` | `showAcl(Logger logger, AccessControlList acl, java.lang.String prefix)` Show details about an ACL.
`static void` | `showApplicationToken(Logger logger, ApplicationToken token, java.lang.String prefix)` Show details about an ApplicationToken.
`static void` | `showAttribute(Logger logger, Attribute attr, java.lang.String prefix, boolean verbose, boolean showDates)` Show details about a Attribute.
`static void` | `showAttributeValue(Logger logger, LibrarySession session, java.lang.String attrName, AttributeValue val, java.lang.String prefix)` Produce a readable version of an AttributeValue
`static void` | `showAttributeValueTable(Logger logger, LibrarySession session, AttributeValueTable avt, java.lang.String tblName, java.lang.String prefix)` Show details about a AttributeValueTable.
`static void` | `showAttributeValueTable(Logger logger, LibrarySession session, AttributeValueTable avt, java.lang.String tblName, java.lang.String prefix, java.lang.String[] omittedProps)` Show details about a AttributeValueTable.
`static void` | `showAuditCertificates(Logger logger, LibrarySession sess, AuditCertificate[] certs, java.lang.String prefix, boolean verbose)` Show AuditCertificate information.
`static void` | `showAuditEventColumn(Logger logger, LibrarySession sess, AttributeValue av, java.lang.String prefix, boolean verbose)` Show an AuditEvent column selected via `AuditingUtilities.listAggregateAuditEventColumnValues`.
`static void` | `showAuditEventColumns(Logger logger, LibrarySession sess, AttributeValue[] avs, java.lang.String prefix, boolean verbose)` Show AuditEvent column information selected via `AuditingUtilities.listAggregateAuditEventColumnValues`.
`static void` | `showAuditEvents(Logger logger, LibrarySession sess, AuditEvent[] aes, java.lang.String prefix, boolean verbose, boolean showDates, boolean stripNumbers)` Show AuditEvent information.
`static void` | `showAuditHandlerSpecification(Logger logger, LibrarySession session, AuditHandlerSpecification ahs, java.lang.String prefix, boolean showDates)` Shows the AuditHandlerSpecification.
`static void` | `showAuditSpecification(Logger logger, LibrarySession session, AuditSpecification spec, java.lang.String prefix, boolean showDates)` Shows the audit spec.
`static void` | `showAuditTargetSpecification(Logger logger, LibrarySession session, AuditTargetSpecification ats, java.lang.String prefix)` Shows the AuditTargetSpecification.
`static void` | `showAuditTypeEntryValues(Logger logger, LibrarySession session, AuditTypeEntryValue[] atevs, java.lang.String prefix)` Shows a set of AuditTypeEntryValues.
`static void` | `showAuditTypeList(Logger logger, LibrarySession session, AuditTypeList typeList, java.lang.String prefix)` Shows the AuditTypeList.
`static void` | `showAutoFolderingActionSpecification(Logger logger, AutoFolderingActionSpecification spec, java.lang.String prefix)` Show details about an AutoFolderingActionSpecification.
`static void` | `showBooleanObjectArray(Logger logger, LibrarySession session, java.lang.Boolean[] boolValues, java.lang.String prefix)` Shows an array of Boolean, one value per line
`static void` | `showCapabilities(Logger logger, PublicObject po, java.lang.String prefix)` Show capabilities about an object.
`static void` | `showClassDomain(Logger logger, ClassDomain cd, java.lang.String prefix)` Show details about a ClassDomain.
`static void` | `showClassObject(Logger logger, ClassObject co, java.lang.String prefix, boolean verbose, boolean showDates)` Show details about a ClassObject.
`static void` | `showCustomMediaDriverSpecification(Logger logger, CustomMediaDriverSpecification cmds, java.lang.String prefix)` Show details about a CustomMediaDriverSpecification.
`static void` | `showDateArray(Logger logger, LibrarySession session, java.util.Date[] dateValues, java.lang.String prefix)` Shows an array of Date, one value per line
`static void` | `showDefinition(Logger logger, LibraryObjectDefinition def, java.lang.String prefix)` Show details about an LibraryObjectDefinition.
`static void` | `showDefinitionObject(Logger logger, DefinitionObject defobj, java.lang.String prefix)` Show details about an DefinitionObject.
`static void` | `showDocument(Logger logger, Document doc, java.lang.String prefix)` Show details about a document.
`static void` | `showDocumentContentInfo(Logger logger, Document doc, java.lang.String prefix)` Show details about a document's content.
`static void` | `showDocumentWithLifecycleInfo(Logger logger, Document doc, boolean showDates, java.lang.String prefix)` Show lifecycle details about a document.
`static void` | `showExpandedAuditTypeList(Logger logger, LibrarySession session, AuditTypeList typeList, java.lang.String className, java.lang.String prefix)` Shows the AuditTypeList, expanded to include placeholders for event types applicable to the specifeid class.
`static void` | `showExtendedPermission(Logger logger, ExtendedPermission ep, java.lang.String prefix)` Show details about a ExtendedPermission.
`static void` | `showFamily(Logger logger, Family family, java.lang.String prefix)` Show details about a Family.
`static void` | `showFolder(Logger logger, Folder folder, java.lang.String prefix)` Show details about an Folder.
`static void` | `showFolderCountInfo(Logger logger, Folder folder, java.lang.String prefix)` Show count information about a folder.
`static void` | `showFolderedObject(Logger logger, PublicObject po, java.lang.String prefix)` Show details about an Foldered object.
`static void` | `showFormat(Logger logger, Format format, java.lang.String prefix)` Show details about a Format.
`static void` | `showGroup(Logger logger, DirectoryGroup group, java.lang.String prefix)` Show details about a Group.
`static void` | `showIntegerObjectArray(Logger logger, LibrarySession session, java.lang.Integer[] intValues, java.lang.String prefix)` Shows an array of Integer, one value per line
`static void` | `showLibraryObject(Logger logger, LibraryObject obj, boolean showDates, java.lang.String prefix)` Show details about a LibraryObject.
`static void` | `showLibrayObjectIdArray(Logger logger, LibrarySession session, java.lang.Long[] idValues, java.lang.String prefix)` Shows an array of Long representing LibraryObjects, one value per line
`static void` | `showLifecycleDateRuleSpecification(Logger logger, LifecycleDateRuleSpecification spec, java.lang.String prefix)` Show details about an LifecycleDateRuleSpecification.
`static void` | `showLifecyclePolicy(Logger logger, LifecyclePolicy lp, java.lang.String prefix)` Show details about an LifecyclePolicy.
`static void` | `showLifecyclePolicyActionSpecification(Logger logger, LifecyclePolicyActionSpecification spec, java.lang.String prefix)` Show details about an LifecyclePolicyActionSpecification.
`static void` | `showLifecyclePolicyEntry(Logger logger, LifecyclePolicyEntry lpe, java.lang.String prefix)` Show details about an LifecyclePolicyEntry.
`static void` | `showLink(Logger logger, Link link, java.lang.String prefix)` Show details about a Link.
`static void` | `showLockEntry(Logger logger, LockEntry le, java.lang.String prefix)` Show details about a LockEntry.
`static void` | `showLockEntryInfo(Logger logger, PublicObject po, java.lang.String prefix)` Show LockEntry details of a PublicObject.
`static void` | `showLockingInconsistencies(Logger logger, PublicObject po, java.lang.String prefix)` Show Locking inconsistency details for a PublicObject.
`static void` | `showLongObjectArray(Logger logger, LibrarySession session, java.lang.Long[] longValues, java.lang.String prefix)` Shows an array of Long, one value per line
`static void` | `showMedia(Logger logger, Media media, java.lang.String prefix)` Show details about a Media.
`static void` | `showNodeConfiguration(Logger logger, NodeConfiguration nc, java.lang.String prefix, boolean verbose, boolean showDates)` Show details about a NodeConfiguration.
`static void` | `showNodeState(Logger logger, NodeState ns, java.lang.String prefix, boolean verbose, boolean showDates, boolean stripNums)` Show details about a NodeState.
`static void` | `showOperationActionSpecification(Logger logger, OperationActionSpecification spec, java.lang.String prefix)` Show details about an OperationActionSpecification.
`static void` | `showPermissionBundle(Logger logger, PermissionBundle pb, java.lang.String prefix)` Show details about a PermissionBundle.
`static void` | `showPolicy(Logger logger, Policy policy, java.lang.String prefix)` Show details about a Policy.
`static void` | `showPropertyBundle(Logger logger, PropertyBundle pb, java.lang.String pbName, java.lang.String prefix)` Show details about a PropertyBundle.
`static void` | `showPropertyBundle(Logger logger, PropertyBundle pb, java.lang.String pbName, java.lang.String prefix, java.lang.String[] omittedProps)` Show details about a PropertyBundle.
`static void` | `showRetentionPolicy(Logger logger, RetentionPolicy rp, java.lang.String prefix)` Show details about an RetentionPolicy.
`static void` | `showServerConfiguration(Logger logger, ServerConfiguration config, java.lang.String prefix, boolean verbose, boolean showDates)` Show details about a ServerConfiguration.
`static void` | `showServerState(Logger logger, ServerState ss, java.lang.String prefix, boolean verbose, boolean showDates, boolean stripNums)` Show details about a ServerState.
`static void` | `showServiceConfiguration(Logger logger, ServiceConfiguration config, java.lang.String prefix, boolean verbose)` Show details about a ServiceConfiguration.
`static void` | `showStorageGroup(Logger logger, StorageGroup sg, java.lang.String prefix)` Show details about a StorageGroup.
`static void` | `showStringArray(Logger logger, LibrarySession session, java.lang.String[] strValues, java.lang.String prefix)` Shows an array of String, one value per line
`static void` | `showUser(Logger logger, DirectoryUser user, java.lang.String prefix)` Show details about a User.
`static void` | `showValueDefault(Logger logger, ValueDefault vd, java.lang.String prefix)` Show details about a ValueDefault.
`static void` | `showValueDomain(Logger logger, ValueDomain vd, java.lang.String prefix)` Show details about a ValueDomain.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDENT

    public static java.lang.String INDENT

  Description copied from class: `ShowUtils`
  Amount to indent when displaying layered information (2 spaces: " ").

  (Published)

Constructor Detail

### ShowUtils

    public ShowUtils()

Method Detail

### showLibraryObject

    public static void showLibraryObject(Logger logger,
                                         LibraryObject obj,
                                         boolean showDates,
                                         java.lang.String prefix)
                                  throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a LibraryObject.

  Expects subclasses to delegate to more specific methods for app-specific types.

  Parameters:
    `logger` - the log context
    `obj` - the LibraryObject to show
    `showDates` - whether to show date info
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showClassObject

    public static void showClassObject(Logger logger,
                                       ClassObject co,
                                       java.lang.String prefix,
                                       boolean verbose,
                                       boolean showDates)
                                throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a ClassObject.

  Parameters:
    `logger` - the log context
    `co` - the ClassObject to show
    `prefix` - the indentation prefix
    `verbose` - whether output should be verbose
    `showDates` - whether output should contain dates or other data that is not suitable for test canons
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAttribute

    public static void showAttribute(Logger logger,
                                     Attribute attr,
                                     java.lang.String prefix,
                                     boolean verbose,
                                     boolean showDates)
                              throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a Attribute.

  Parameters:
    `logger` - the log context
    `attr` - the Attribute to show
    `prefix` - the indentation prefix
    `verbose` - whether output should be verbose
    `showDates` - whether output should contain dates or other data that is not suitable for test canons
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showValueDefault

    public static void showValueDefault(Logger logger,
                                        ValueDefault vd,
                                        java.lang.String prefix)
                                 throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a ValueDefault.

  Parameters:
    `logger` - the log context
    `vd` - the ValueDefault to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showValueDomain

    public static void showValueDomain(Logger logger,
                                       ValueDomain vd,
                                       java.lang.String prefix)
                                throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a ValueDomain.

  Parameters:
    `logger` - the log context
    `vd` - the ValueDomain to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showClassDomain

    public static void showClassDomain(Logger logger,
                                       ClassDomain cd,
                                       java.lang.String prefix)
                                throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a ClassDomain.

  Parameters:
    `logger` - the log context
    `cd` - the ClassDomain to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showGroup

    public static void showGroup(Logger logger,
                                 DirectoryGroup group,
                                 java.lang.String prefix)
                          throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a Group.

  Parameters:
    `logger` - the log context
    `group` - the group to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showUser

    public static void showUser(Logger logger,
                                DirectoryUser user,
                                java.lang.String prefix)
                         throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a User.

  Parameters:
    `logger` - the log context
    `user` - the user to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAcl

    public static void showAcl(Logger logger,
                               AccessControlList acl,
                               java.lang.String prefix)
                        throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an ACL.

  Parameters:
    `logger` - the log context
    `acl` - the ACL to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAce

    public static void showAce(Logger logger,
                               AccessControlEntry ace,
                               java.lang.String prefix)
                        throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an ACE.

  Parameters:
    `logger` - the log context
    `ace` - the ACE to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLockEntry

    public static void showLockEntry(Logger logger,
                                     LockEntry le,
                                     java.lang.String prefix)
                              throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a LockEntry.

  Parameters:
    `logger` - the log context
    `le` - the LockEntry to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showCapabilities

    public static void showCapabilities(Logger logger,
                                        PublicObject po,
                                        java.lang.String prefix)
                                 throws IfsException

  Description copied from class: `ShowUtils`
  Show capabilities about an object.

  Parameters:
    `logger` - the log context
    `po` - the PublicObject to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLockEntryInfo

    public static void showLockEntryInfo(Logger logger,
                                         PublicObject po,
                                         java.lang.String prefix)
                                  throws IfsException

  Description copied from class: `ShowUtils`
  Show LockEntry details of a PublicObject.

  Parameters:
    `logger` - the log context
    `po` - the PublicObject to show LockEntry info
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLockingInconsistencies

    public static void showLockingInconsistencies(Logger logger,
                                                  PublicObject po,
                                                  java.lang.String prefix)
                                           throws IfsException

  Description copied from class: `ShowUtils`
  Show Locking inconsistency details for a PublicObject.

  This logs a warning if the LockObject and LockEntriy associations for a PublicObject are not consistent.

  Parameters:
    `logger` - the log context
    `po` - the PublicObject to show Locking inconsistencies
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showApplicationToken

    public static void showApplicationToken(Logger logger,
                                            ApplicationToken token,
                                            java.lang.String prefix)
                                     throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an ApplicationToken.

  Parameters:
    `logger` - the log context
    `token` - the ApplicationToken to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showFormat

    public static void showFormat(Logger logger,
                                  Format format,
                                  java.lang.String prefix)
                           throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a Format.

  Parameters:
    `logger` - the log context
    `format` - the Format to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showPermissionBundle

    public static void showPermissionBundle(Logger logger,
                                            PermissionBundle pb,
                                            java.lang.String prefix)
                                     throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a PermissionBundle.

  Parameters:
    `logger` - the log context
    `pb` - the PermissionBundle to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showExtendedPermission

    public static void showExtendedPermission(Logger logger,
                                              ExtendedPermission ep,
                                              java.lang.String prefix)
                                       throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a ExtendedPermission.

  Parameters:
    `logger` - the log context
    `pb` - the ExtendedPermission to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showPolicy

    public static void showPolicy(Logger logger,
                                  Policy policy,
                                  java.lang.String prefix)
                           throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a Policy.

  Parameters:
    `logger` - the log context
    `policy` - the Policy to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showRetentionPolicy

    public static void showRetentionPolicy(Logger logger,
                                           RetentionPolicy rp,
                                           java.lang.String prefix)
                                    throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an RetentionPolicy.

  Parameters:
    `logger` - the log context
    `rp` - the RetentionPolicy to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLifecyclePolicy

    public static void showLifecyclePolicy(Logger logger,
                                           LifecyclePolicy lp,
                                           java.lang.String prefix)
                                    throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an LifecyclePolicy.

  Parameters:
    `logger` - the log context
    `lp` - the LifecyclePolicy to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLifecyclePolicyEntry

    public static void showLifecyclePolicyEntry(Logger logger,
                                                LifecyclePolicyEntry lpe,
                                                java.lang.String prefix)
                                         throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an LifecyclePolicyEntry.

  Parameters:
    `logger` - the log context
    `lpe` - the LifecyclePolicyEntry to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLifecycleDateRuleSpecification

    public static void showLifecycleDateRuleSpecification(Logger logger,
                                                          LifecycleDateRuleSpecification spec,
                                                          java.lang.String prefix)
                                                   throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an LifecycleDateRuleSpecification.

  Parameters:
    `logger` - the log context
    `spec` - the LifecycleDateRuleSpecification to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLifecyclePolicyActionSpecification

    public static void showLifecyclePolicyActionSpecification(Logger logger,
                                                              LifecyclePolicyActionSpecification spec,
                                                              java.lang.String prefix)
                                                       throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an LifecyclePolicyActionSpecification.

  Parameters:
    `logger` - the log context
    `spec` - the LifecyclePolicyActionSpecification to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDocumentWithLifecycleInfo

    public static void showDocumentWithLifecycleInfo(Logger logger,
                                                     Document doc,
                                                     boolean showDates,
                                                     java.lang.String prefix)
                                              throws IfsException

  Description copied from class: `ShowUtils`
  Show lifecycle details about a document.

  Parameters:
    `logger` - the log context
    `doc` - the document to show
    `showDates` - true if date values can be shown
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showMedia

    public static void showMedia(Logger logger,
                                 Media media,
                                 java.lang.String prefix)
                          throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a Media.

  Parameters:
    `logger` - the log context
    `media` - the Media to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showCustomMediaDriverSpecification

    public static void showCustomMediaDriverSpecification(Logger logger,
                                                          CustomMediaDriverSpecification cmds,
                                                          java.lang.String prefix)
                                                   throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a CustomMediaDriverSpecification.

  Parameters:
    `logger` - the log context
    `cmds` - the CustomMediaDriverSpecification to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showStorageGroup

    public static void showStorageGroup(Logger logger,
                                        StorageGroup sg,
                                        java.lang.String prefix)
                                 throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a StorageGroup.

  Parameters:
    `logger` - the log context
    `sg` - the StorageGroup to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showServiceConfiguration

    public static void showServiceConfiguration(Logger logger,
                                                ServiceConfiguration config,
                                                java.lang.String prefix,
                                                boolean verbose)
                                         throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a ServiceConfiguration.

  Parameters:
    `logger` - the log context
    `config` - the ServiceConfiguration to show
    `prefix` - the indentation prefix
    `verbose` - whether output should be verbose
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showNodeConfiguration

    public static void showNodeConfiguration(Logger logger,
                                             NodeConfiguration nc,
                                             java.lang.String prefix,
                                             boolean verbose,
                                             boolean showDates)
                                      throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a NodeConfiguration.

  Parameters:
    `logger` - the log context
    `nc` - the NodeConfiguration to show
    `prefix` - the indentation prefix
    `verbose` - whether output should be verbose
    `showDates` - whether output should contain dates or other data that is not suitable for test canons
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showServerConfiguration

    public static void showServerConfiguration(Logger logger,
                                               ServerConfiguration config,
                                               java.lang.String prefix,
                                               boolean verbose,
                                               boolean showDates)
                                        throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a ServerConfiguration.

  Parameters:
    `logger` - the log context
    `config` - the ServerConfiguration to show
    `prefix` - the indentation prefix
    `verbose` - whether output should be verbose
    `showDates` - whether output should contain dates or other data that is not suitable for test canons
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showNodeState

    public static void showNodeState(Logger logger,
                                     NodeState ns,
                                     java.lang.String prefix,
                                     boolean verbose,
                                     boolean showDates,
                                     boolean stripNums)
                              throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a NodeState.

  Parameters:
    `logger` - the log context
    `ns` - the NodeState to show
    `prefix` - the indentation prefix
    `verbose` - whether output should be verbose
    `showDates` - whether output should contain dates or other data that is not suitable for test canons
    `stripNums` - whether output should strip numerical data from Audit information
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showServerState

    public static void showServerState(Logger logger,
                                       ServerState ss,
                                       java.lang.String prefix,
                                       boolean verbose,
                                       boolean showDates,
                                       boolean stripNums)
                                throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a ServerState.

  Parameters:
    `logger` - the log context
    `ss` - the ServerState to show
    `prefix` - the indentation prefix
    `verbose` - whether output should be verbose
    `showDates` - whether output should contain dates or other data that is not suitable for test canons
    `stripNums` - whether output should strip numerical data from Audit information
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDefinition

    public static void showDefinition(Logger logger,
                                      LibraryObjectDefinition def,
                                      java.lang.String prefix)
                               throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an LibraryObjectDefinition.

  Parameters:
    `logger` - the log context
    `def` - the LibraryObjectDefinition to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDefinitionObject

    public static void showDefinitionObject(Logger logger,
                                            DefinitionObject defobj,
                                            java.lang.String prefix)
                                     throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an DefinitionObject.

  Parameters:
    `logger` - the log context
    `defobj` - the DefinitionObject to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLink

    public static void showLink(Logger logger,
                                Link link,
                                java.lang.String prefix)
                         throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a Link.

  Parameters:
    `logger` - the log context
    `link` - the link to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showFolder

    public static void showFolder(Logger logger,
                                  Folder folder,
                                  java.lang.String prefix)
                           throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an Folder.

  Parameters:
    `logger` - the log context
    `folder` - the folder to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showFolderCountInfo

    public static void showFolderCountInfo(Logger logger,
                                           Folder folder,
                                           java.lang.String prefix)
                                    throws IfsException

  Description copied from class: `ShowUtils`
  Show count information about a folder.

  Parameters:
    `logger` - the log context
    `folder` - the folder to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showFolderedObject

    public static void showFolderedObject(Logger logger,
                                          PublicObject po,
                                          java.lang.String prefix)
                                   throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an Foldered object.

  Parameters:
    `logger` - the log context
    `po` - the foldered object to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showFamily

    public static void showFamily(Logger logger,
                                  Family family,
                                  java.lang.String prefix)
                           throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a Family.

  Parameters:
    `logger` - the log context
    `family` - the family to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDocument

    public static void showDocument(Logger logger,
                                    Document doc,
                                    java.lang.String prefix)
                             throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a document.

  Parameters:
    `logger` - the log context
    `doc` - the document to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDocumentContentInfo

    public static void showDocumentContentInfo(Logger logger,
                                               Document doc,
                                               java.lang.String prefix)
                                        throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a document's content.

  Parameters:
    `logger` - the log context
    `doc` - the document to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAttributeValue

    public static void showAttributeValue(Logger logger,
                                          LibrarySession session,
                                          java.lang.String attrName,
                                          AttributeValue val,
                                          java.lang.String prefix)
                                   throws IfsException

  Description copied from class: `ShowUtils`
  Produce a readable version of an AttributeValue

  Parameters:
    `logger` - the log context
    `session` - the session context
    `attrName` - the AttributeValue name
    `val` - the AttributeValue value
    `prefix` - the indent level
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showPropertyBundle

    public static void showPropertyBundle(Logger logger,
                                          PropertyBundle pb,
                                          java.lang.String pbName,
                                          java.lang.String prefix)
                                   throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a PropertyBundle.

  Parameters:
    `logger` - the log context
    `pb` - the PropertyBundle to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showPropertyBundle

    public static void showPropertyBundle(Logger logger,
                                          PropertyBundle pb,
                                          java.lang.String pbName,
                                          java.lang.String prefix,
                                          java.lang.String[] omittedProps)
                                   throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a PropertyBundle.

  Parameters:
    `logger` - the log context
    `pb` - the PropertyBundle to show
    `pbName` - the name that identifies the PropertyBundle
    `prefix` - the indentation prefix
    `omittedProps` - the set of properties to not show values for
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAttributeValueTable

    public static void showAttributeValueTable(Logger logger,
                                               LibrarySession session,
                                               AttributeValueTable avt,
                                               java.lang.String tblName,
                                               java.lang.String prefix)
                                        throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a AttributeValueTable.

  Parameters:
    `logger` - the log context
    `session` - the session context
    `avt` - the AttributeValueTable to show
    `tblName` - the name of this table
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAttributeValueTable

    public static void showAttributeValueTable(Logger logger,
                                               LibrarySession session,
                                               AttributeValueTable avt,
                                               java.lang.String tblName,
                                               java.lang.String prefix,
                                               java.lang.String[] omittedProps)
                                        throws IfsException

  Description copied from class: `ShowUtils`
  Show details about a AttributeValueTable.

  Parameters:
    `logger` - the log context
    `session` - the session context
    `avt` - the AttributeValueTable to show
    `tblName` - the name of this table
    `prefix` - the indentation prefix
    `omittedProps` - the set of properties to not show values for
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditEvents

    public static void showAuditEvents(Logger logger,
                                       LibrarySession sess,
                                       AuditEvent[] aes,
                                       java.lang.String prefix,
                                       boolean verbose,
                                       boolean showDates,
                                       boolean stripNumbers)
                                throws IfsException

  Description copied from class: `ShowUtils`
  Show AuditEvent information.

  Parameters:
    `logger` - the log context
    `sess` - the session context
    `aes` - the AuditEvents to show
    `prefix` - the indentation prefix
    `verbose` - whether the output should be verbose
    `showDates` - whether the output should show dates
    `stripNumbers` - whether the output should strip numbers from event properties and the aux number
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditCertificates

    public static void showAuditCertificates(Logger logger,
                                             LibrarySession sess,
                                             AuditCertificate[] certs,
                                             java.lang.String prefix,
                                             boolean verbose)
                                      throws IfsException

  Description copied from class: `ShowUtils`
  Show AuditCertificate information.

  Parameters:
    `logger` - the log context
    `sess` - the session context
    `certs` - the AuditCertificates to show
    `prefix` - the indentation prefix
    `verbose` - whether the output should be verbose
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditEventColumns

    public static void showAuditEventColumns(Logger logger,
                                             LibrarySession sess,
                                             AttributeValue[] avs,
                                             java.lang.String prefix,
                                             boolean verbose)
                                      throws IfsException

  Description copied from class: `ShowUtils`
  Show AuditEvent column information selected via `AuditingUtilities.listAggregateAuditEventColumnValues`.

  Parameters:
    `logger` - the log context
    `sess` - the session context
    `avs` - the AuditEvent columns to show
    `prefix` - the indentation prefix
    `verbose` - whether the output should be verbose
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditEventColumn

    public static void showAuditEventColumn(Logger logger,
                                            LibrarySession sess,
                                            AttributeValue av,
                                            java.lang.String prefix,
                                            boolean verbose)
                                     throws IfsException

  Description copied from class: `ShowUtils`
  Show an AuditEvent column selected via `AuditingUtilities.listAggregateAuditEventColumnValues`.

  Parameters:
    `logger` - the log context
    `sess` - the session context
    `av` - the AuditEvent column to show
    `prefix` - the indentation prefix
    `verbose` - whether the output should be verbose
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditTypeEntryValues

    public static void showAuditTypeEntryValues(Logger logger,
                                                LibrarySession session,
                                                AuditTypeEntryValue[] atevs,
                                                java.lang.String prefix)
                                         throws IfsException

  Description copied from class: `ShowUtils`
  Shows a set of AuditTypeEntryValues.

  Parameters:
    `logger` - handle to the log
    `session` - session context
    `atevs` - the AuditTypeEntryValues to show
    `prefix` - any string prefix to be attached to output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditSpecification

    public static void showAuditSpecification(Logger logger,
                                              LibrarySession session,
                                              AuditSpecification spec,
                                              java.lang.String prefix,
                                              boolean showDates)
                                       throws IfsException

  Description copied from class: `ShowUtils`
  Shows the audit spec.

  Parameters:
    `logger` - handle to the log
    `session` - session context
    `spec` - the AuditSpecification to show
    `prefix` - any string prefix to be attached to output
    `showDates` - whether output should contain dates or other data that is not suitable for test canons
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditTypeList

    public static void showAuditTypeList(Logger logger,
                                         LibrarySession session,
                                         AuditTypeList typeList,
                                         java.lang.String prefix)
                                  throws IfsException

  Description copied from class: `ShowUtils`
  Shows the AuditTypeList.

  Parameters:
    `logger` - handle to the log
    `session` - handle to session
    `typeList` - AuditTypeList to show
    `prefix` - any string prefix to be attached to output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showExpandedAuditTypeList

    public static void showExpandedAuditTypeList(Logger logger,
                                                 LibrarySession session,
                                                 AuditTypeList typeList,
                                                 java.lang.String className,
                                                 java.lang.String prefix)
                                          throws IfsException

  Description copied from class: `ShowUtils`
  Shows the AuditTypeList, expanded to include placeholders for event types applicable to the specifeid class.

  Parameters:
    `logger` - handle to the log
    `session` - handle to session
    `typeList` - AuditTypeList to show
    `className` - class name to include placeholders for
    `prefix` - any string prefix to be attached to output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditTargetSpecification

    public static void showAuditTargetSpecification(Logger logger,
                                                    LibrarySession session,
                                                    AuditTargetSpecification ats,
                                                    java.lang.String prefix)
                                             throws IfsException

  Description copied from class: `ShowUtils`
  Shows the AuditTargetSpecification.

  Parameters:
    `logger` - handle to the log
    `session` - handle to session
    `ats` - AuditTargetSpecification to show
    `prefix` - any string prefix to be attached to output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditHandlerSpecification

    public static void showAuditHandlerSpecification(Logger logger,
                                                     LibrarySession session,
                                                     AuditHandlerSpecification ahs,
                                                     java.lang.String prefix,
                                                     boolean showDates)
                                              throws IfsException

  Description copied from class: `ShowUtils`
  Shows the AuditHandlerSpecification.

  Parameters:
    `logger` - handle to the log
    `session` - handle to session
    `ahs` - AuditHandlerSpecification to show
    `prefix` - any string prefix to be attached to output
    `showDates` - whether output should contain dates or other data that is not suitable for test canons
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showOperationActionSpecification

    public static void showOperationActionSpecification(Logger logger,
                                                        OperationActionSpecification spec,
                                                        java.lang.String prefix)
                                                 throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an OperationActionSpecification.

  Parameters:
    `logger` - the log context
    `spec` - the OperationActionSpecification to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAutoFolderingActionSpecification

    public static void showAutoFolderingActionSpecification(Logger logger,
                                                            AutoFolderingActionSpecification spec,
                                                            java.lang.String prefix)
                                                     throws IfsException

  Description copied from class: `ShowUtils`
  Show details about an AutoFolderingActionSpecification.

  Parameters:
    `logger` - the log context
    `spec` - the AutoFolderingActionSpecification to show
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getObjectNameAndClass

    public static java.lang.String getObjectNameAndClass(LibraryObject obj)
                                                  throws IfsException

  Description copied from class: `ShowUtils`
  Return the name and class of the specified object

  Parameters:
    `obj` - the object
  Returns:
    the name and class
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showStringArray

    public static void showStringArray(Logger logger,
                                       LibrarySession session,
                                       java.lang.String[] strValues,
                                       java.lang.String prefix)
                                throws IfsException

  Description copied from class: `ShowUtils`
  Shows an array of String, one value per line

  Parameters:
    `logger` - handle to the log
    `session` - handle to session
    `strValues` - values to show
    `prefix` - any string prefix to be attached to output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLongObjectArray

    public static void showLongObjectArray(Logger logger,
                                           LibrarySession session,
                                           java.lang.Long[] longValues,
                                           java.lang.String prefix)
                                    throws IfsException

  Description copied from class: `ShowUtils`
  Shows an array of Long, one value per line

  Parameters:
    `logger` - handle to the log
    `session` - handle to session
    `longValues` - values to show
    `prefix` - any string prefix to be attached to output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showIntegerObjectArray

    public static void showIntegerObjectArray(Logger logger,
                                              LibrarySession session,
                                              java.lang.Integer[] intValues,
                                              java.lang.String prefix)
                                       throws IfsException

  Description copied from class: `ShowUtils`
  Shows an array of Integer, one value per line

  Parameters:
    `logger` - handle to the log
    `session` - handle to session
    `intValues` - values to show
    `prefix` - any string prefix to be attached to output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showBooleanObjectArray

    public static void showBooleanObjectArray(Logger logger,
                                              LibrarySession session,
                                              java.lang.Boolean[] boolValues,
                                              java.lang.String prefix)
                                       throws IfsException

  Description copied from class: `ShowUtils`
  Shows an array of Boolean, one value per line

  Parameters:
    `logger` - handle to the log
    `session` - handle to session
    `boolValues` - values to show
    `prefix` - any string prefix to be attached to output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDateArray

    public static void showDateArray(Logger logger,
                                     LibrarySession session,
                                     java.util.Date[] dateValues,
                                     java.lang.String prefix)
                              throws IfsException

  Description copied from class: `ShowUtils`
  Shows an array of Date, one value per line

  Parameters:
    `logger` - handle to the log
    `session` - handle to session
    `dateValues` - values to show
    `prefix` - any string prefix to be attached to output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLibrayObjectIdArray

    public static void showLibrayObjectIdArray(Logger logger,
                                               LibrarySession session,
                                               java.lang.Long[] idValues,
                                               java.lang.String prefix)
                                        throws IfsException

  Description copied from class: `ShowUtils`
  Shows an array of Long representing LibraryObjects, one value per line

  Parameters:
    `logger` - handle to the log
    `session` - handle to session
    `idValues` - values to show
    `prefix` - any string prefix to be attached to output
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD